Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.il
Class ServerILJMXService

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.mq.il.ServerILJMXService

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, ServerILJMXServiceMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

Direct Known Subclasses:
  HTTPServerILService, JVMServerILService, OIL2ServerILService, OILServerILService, RMIServerILService, UILServerILService

public abstract class ServerILJMXService
extends org.jboss.system.ServiceMBeanSupport
implements ServerILJMXServiceMBean

This abstract class handles life cycle managment of the ServeIL. Should be extended to provide a full implementation.

Version:
  $Revision: 1.18 $
Author:
  Hiram Chirino (Cojonudo14@hotmail.com), David Jencks , Adrian Brock

Field Summary
`protected String` | `clientID` The client id
`protected String` | `connectionFactoryJNDIRef`
`protected long` | `pingPeriod`
`protected String` | `xaConnectionFactoryJNDIRef`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`ServerILJMXService()`

Method Summary
`void` | `bindJNDIReferences()` Binds the connection factories for this IL
`Properties` | `getClientConnectionProperties()`
`String` | `getClientID()` Get the client id for this connection factory
`String` | `getConnectionFactoryJNDIRef()`
`javax.management.ObjectName` | `getJBossMQService()` Get the value of JBossMQService.
`long` | `getPingPeriod()`
`abstract ServerIL` | `getServerIL()`
`String` | `getXAConnectionFactoryJNDIRef()`
`Invoker` | `lookupJMSServer()`
`protected void` | `rebind(Context ctx, String name, Object val)`
`void` | `setClientID(String clientID)` Set the client id for this connection factory
`void` | `setConnectionFactoryJNDIRef(String newConnectionFactoryJNDIRef)`
`void` | `setInvoker(javax.management.ObjectName jbossMQService)` Set the value of JBossMQService.
`void` | `setPingPeriod(long period)`
`void` | `setXAConnectionFactoryJNDIRef(String newXaConnectionFactoryJNDIRef)`
`void` | `startService()`
`void` | `stopService()`
`void` | `unbindJNDIReferences()` Unbinds the connection factories for this IL

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### connectionFactoryJNDIRef

    protected String connectionFactoryJNDIRef

### xaConnectionFactoryJNDIRef

    protected String xaConnectionFactoryJNDIRef

### pingPeriod

    protected long pingPeriod

### clientID

    protected String clientID

  The client id

Constructor Detail

### ServerILJMXService

    public ServerILJMXService()

Method Detail

### getJBossMQService

    public javax.management.ObjectName getJBossMQService()

  Get the value of JBossMQService.

  Specified by:
    `getJBossMQService` in interface `ServerILJMXServiceMBean`
  Returns:
    value of JBossMQService.

### setInvoker

    public void setInvoker(javax.management.ObjectName jbossMQService)

  Set the value of JBossMQService.

  Specified by:
    `setInvoker` in interface `ServerILJMXServiceMBean`

### startService

    public void startService()
                      throws Exception

  Throws:
    `Exception`

### stopService

    public void stopService()
                     throws Exception

  Throws:
    `Exception`

### setConnectionFactoryJNDIRef

    public void setConnectionFactoryJNDIRef(String newConnectionFactoryJNDIRef)

  Specified by:
    `setConnectionFactoryJNDIRef` in interface `ServerILJMXServiceMBean`
  Parameters:
    `newConnectionFactoryJNDIRef` - the JNDI reference where the connection factory should be bound to

### setXAConnectionFactoryJNDIRef

    public void setXAConnectionFactoryJNDIRef(String newXaConnectionFactoryJNDIRef)

  Specified by:
    `setXAConnectionFactoryJNDIRef` in interface `ServerILJMXServiceMBean`
  Parameters:
    `newXaConnectionFactoryJNDIRef` - java.lang.String the JNDI reference where the xa connection factory should be bound to

### getClientConnectionProperties

    public Properties getClientConnectionProperties()

  Returns:
    The ClientConnectionProperties value @returns Properties contains all the parameters needed to create a connection from the client to this IL

### getServerIL

    public abstract ServerIL getServerIL()

  Returns:
    The ServerIL value @returns ServerIL An instance of the Server IL, used for

### getConnectionFactoryJNDIRef

    public String getConnectionFactoryJNDIRef()

  Specified by:
    `getConnectionFactoryJNDIRef` in interface `ServerILJMXServiceMBean`
  Returns:
    java.lang.String the JNDI reference where the connection factory should be bound to

### getXAConnectionFactoryJNDIRef

    public String getXAConnectionFactoryJNDIRef()

  Specified by:
    `getXAConnectionFactoryJNDIRef` in interface `ServerILJMXServiceMBean`
  Returns:
    java.lang.String the JNDI reference where the xa connection factory should be bound to

### bindJNDIReferences

    public void bindJNDIReferences()
                            throws NamingException

  Binds the connection factories for this IL

  Throws:
    `NamingException` - it cannot be unbound

### rebind

    protected void rebind(Context ctx,
                          String name,
                          Object val)
                   throws NamingException

  Throws:
    `NamingException`

### unbindJNDIReferences

    public void unbindJNDIReferences()
                              throws NamingException

  Unbinds the connection factories for this IL

  Throws:
    `NamingException` - it cannot be unbound

### lookupJMSServer

    public Invoker lookupJMSServer()

  Returns:
    Description of the Returned Value
  Throws:
    `Exception` - Description of Exception
    `NamingException` - if the server is not found

### getPingPeriod

    public long getPingPeriod()

  Specified by:
    `getPingPeriod` in interface `ServerILJMXServiceMBean`
  Returns:
    long the period of time in ms to wait between connection pings factory should be bound to

### setPingPeriod

    public void setPingPeriod(long period)

  Specified by:
    `setPingPeriod` in interface `ServerILJMXServiceMBean`
  Parameters:
    `period` - long the period of time in ms to wait between connection pings

### getClientID

    public String getClientID()

  Get the client id for this connection factory

  Specified by:
    `getClientID` in interface `ServerILJMXServiceMBean`
  Returns:
    the client id

### setClientID

    public void setClientID(String clientID)

  Set the client id for this connection factory

  Specified by:
    `setClientID` in interface `ServerILJMXServiceMBean`
  Parameters:
    `clientID` - the client id

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.